cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Javier Puerto (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (COCOON-2327) Remove use of old com.sun.image.* package from ImageReader
Date Wed, 08 Aug 2012 08:29:09 GMT

     [ https://issues.apache.org/jira/browse/COCOON-2327?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Javier Puerto closed COCOON-2327.
---------------------------------

    Resolution: Fixed

Commited revision: r1370694

Removed conditional code for use in JVM lower than 1.5 as Cocoon 2.2 is for 1.5 or higher
versions.
Change old implementation of image reader for new ImageIO for compatibility with JDK 1.7.
I've tested with 1.5 and 1.6, the samples block can display all the image samples with the
new implementation.
                
> Remove use of old com.sun.image.* package from ImageReader
> ----------------------------------------------------------
>
>                 Key: COCOON-2327
>                 URL: https://issues.apache.org/jira/browse/COCOON-2327
>             Project: Cocoon
>          Issue Type: Improvement
>          Components: * Cocoon Core
>    Affects Versions: 2.2-dev (Current SVN)
>            Reporter: Javier Puerto
>            Assignee: Javier Puerto
>         Attachments: COCOON-2327.patch
>
>
> The use of the package com.sun.image.* is discouraged and it's not supported for JDK
1.7. As we require java version 1.5, we can use Java Image I/O API. 

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message